require 'test_helper'

class ConnectionsTest < Totter::TestCase
  def test_find_connection_friends
    stub_request(:post, 'http://localhost:5000/v1/connections/1234/find_friends').to_return(:status => 200, :body => "{}")
    assert_equal Hashie::Mash.new, local_client.find_connection_friends('1234')
  end

  def test_connections
    stub_request(:get, 'http://localhost:5000/v1/connections').to_return(:status => 200, :body => "{}")
    assert_equal Hashie::Mash.new, local_client.connections
  end
end
