require 'test_helper'

class StickersTest < Totter::TestCase
  def test_show
    VCR.use_cassette 'stickers/show' do
      users = local_client.sticker('staff')
      assert_equal 1, users.length

      users = local_client.sticker('lame')
      assert_equal 0, users.length
    end
  end

  def test_follow_sticker
    stub_request(:post, 'http://localhost:5000/v1/stickers/featured/follow').to_return(:status => 200)
    result = local_client.follow_sticker('featured')
    assert result
  end
end
