require 'test_helper'

class TotterTest < Totter::TestCase
  def test_respond_to
    assert Totter.respond_to?(:new, true)
  end

  def test_new
    assert_equal Totter.new.class, Totter::Client
  end

  def test_method_missing
    VCR.use_cassette 'users/user' do
      assert_equal 'gotwalt', Totter.user('gotwalt').username
    end
  end
end
