require 'rubygems'
require 'bundler'
Bundler.require :test

require 'simplecov'
SimpleCov.start do
  add_filter "/test/"
end

require 'minitest/autorun'
require 'totter'

# Support files
Dir["#{File.expand_path(File.dirname(__FILE__))}/support/*.rb"].each do |file|
  require file
end

# VCR
VCR.configure do |c|
  c.cassette_library_dir = 'test/cassettes'
  c.hook_into :webmock
end

class Totter::TestCase < MiniTest::Unit::TestCase
  include ::ClientMacros
end
