require 'test_helper'

class ActivitiesTest < Totter::TestCase
  def test_activity
    stub_request(:get, 'http://localhost:5000/v1/users/4/activities?limit=1000&offset=0').to_return(:status => 200, :body => "[]")
    result = local_client.activities(4)
    assert_equal 0, result.length
  end

  def test_my_activity
    stub_request(:get, 'http://localhost:5000/v1/me/activities?limit=1000&offset=0').to_return(:status => 200, :body => "[]")
    result = local_client.my_activities
    assert_equal 0, result.length
  end

  def test_friends_activity
    stub_request(:get, 'http://localhost:5000/v1/me/activities/friends?limit=1000&offset=0').to_return(:status => 200, :body => "[]")
    result = local_client.friends_activities
    assert_equal 0, result.length
  end
end
